Coursepress Conflicts with Woocommerce Checkout

I have disabled all plugins except woocommerce 2.3.9, coursepress 1.2.5.8, and woocommerce Stripe gateway and reverted to the default theme. I try to purchase a product (even ones that are not courses) and I get :

Error: "Please make sure your card details have been entered correctly and that your browser supports JavaScript."

Once I turn off coursepress I can check out as normal.

I have tried reverting woocommerce to 2.3.8 with the coursepress 1.2.5.8. Same Error

Tried reverting coursepress to 1.2.5.4 with both woocommerce 2.3.8 & 2.3.9. Same Error.

I have already granted access.